////////////Alliance Mission 2//////////////////////////////////
//Objectives: 1) Destroy cybrid artillery                     //
//            2) Return to perimiter                          //
////////////////////////////////////////////////////////////////
$missionName = "aa2";
$WarnDistance=4000;

exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Battle of Eskandani Chasm";             
   title                = "Defused";      
   planet               = *IDSTR_PLANET_TITAN;     
   location             = "Southwestern Front"; 
   dateOnMissionEnd     = 28324790;               
   shortDesc            = "Destroy cybrid artillery";
   longDescRichText     = *IDSTR_AA2_BRF;
   media                = "";
   successDescRichText  = *IDSTR_AA2_DBRF;
   failDescRichText     = "The human line crumbles as the cybrid guns rock the defenses...";
   nextMission          = "aa3";
   scrambleNextMission  = true;
   soundVol             = "";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1         
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Destroy the artillery.";
   longTxt              = "You must reach Nav Charlie before the shells start coming down.";
   bmpName              = "aa2_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Return to the perimiter at Nav Bravo.";
   longTxt              = "When your mission is accomplished, return to safety at Nav Bravo.";
   bmpName              = "aa2_obj2.bmp";
};

MissionBriefObjective missionObjective3
{
   isPrimary            = false;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Roast the gliches";
   longTxt              = "Destroy as many cybrids as you can.";
   bmpName              = "aa2_obj3.bmp";
};

Pilot Bonesnap
{
   id = 32;
   
   name = "Bonesnap";
   skill = 0.5;
   accuracy = 0.5;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 1.0;    
};

Pilot Kungulo
{
   id = 33;
   
   name = "Kungulo";
   skill = 0.5;
   accuracy = 0.5;
   aggressiveness = 0.5;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 2.0;
   trackFreq = 0.2;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 1.0;    
};

Pilot CyElite
{
   id = 34;
   
   name = "<Killer-of-Animals: Second>";
   skill = 0.7;
   accuracy = 0.9;
   aggressiveness = 0.9;
   activateDist = 600;
   deactivateBuff = 400;
   targetFreq = 1.0;
   trackFreq = 0.5;
   fireFreq = 1.0;
   LOSFreq = 4.0;
   orderFreq = 0.5;
};

pilot perilous
{
id=	35;
name=	"Perilous";
skill =	0.2;
accuracy =	0.6;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot choker
{
id=	36;
name=	"Choker";
skill =	0.4;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot marimba
{
id=	37;
name=	"Church";
skill =	0.5;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot abstinance
{
id=	38;
name=	"Bo";
skill =	0.7;
accuracy =	0.9;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot gorg2
{
id=	39;
name=	"Johnson";
skill =	0.6;
accuracy =	0.5;
aggressiveness =	0.4;
activateDist =	600.0;
deactivateBuff =	100.0;
targetFreq =	2.0;
trackFreq =	0.3;
fireFreq =	0.2;
LOSFreq =	0.4;
orderFreq =	1.5;
};

pilot gorg1
{
id=	40;
name=	"Sonters";
skill =	0.8;
accuracy =	0.9;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot drea1
{
id=	41;
name=	"Dustmole";
skill =	0.4;
accuracy =	0.8;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot apoc1
{
id=	42;
name=	"Lice Roast";
skill =	0.6;
accuracy =	0.7;
aggressiveness =	0.9;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot mino2
{
id=	43;
name=	"Lionshead";
skill =	0.6;
accuracy =	0.8;
aggressiveness =	0.7;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot scout
{
id=	44;
name=	"Infiltrator One";
skill =	1.0;
accuracy =	0.2;
aggressiveness =	0.2;
activateDist =	400.0;
deactivateBuff =	150.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot myrm1
{
id=	45;
name=	"Justice";
skill =	0.8;
accuracy =	0.8;
aggressiveness =	0.2;
activateDist =	400.0;
deactivateBuff =	25.0;
targetFreq =	1.0;
trackFreq =	0.2;
fireFreq =	0.6;
LOSFreq =	0.3;
orderFreq =	0.5;
};

pilot basil1
{
id=	46;
name=	"Flameboy";
skill =	1.0;
accuracy =	0.6;
aggressiveness =	0.6;
activateDist =	600.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.3;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot olyp1
{
id=	47;
name=	"El";
skill =	0.4;
accuracy =	1.0;
aggressiveness =	0.4;
activateDist =	700.0;
deactivateBuff =	250.0;
targetFreq =	1.0;
trackFreq =	0.5;
fireFreq =	0.1;
LOSFreq =	1.0;
orderFreq =	0.5;
};

pilot pala2
{
id=	48;
name=	"Shak";
skill =	0.5;
accuracy =	0.8;
aggressiveness =	0.1;
activateDist =	800.0;
deactivateBuff =	300.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	2.5;
LOSFreq =	0.4;
orderFreq =	0.5;
};

pilot gen
{
id=	49;
name=	"Dortegger";
skill =	1.0;
accuracy =	0.7;
aggressiveness =	0.6;
activateDist =	400.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	0.2;
LOSFreq =	0.1;
orderFreq =	0.2;
};

pilot bombard
{
id=	50;
skill =	1.0;
accuracy =	0.0;
aggressiveness =	0.1;
activateDist =	500.0;
deactivateBuff =	300.0;
targetFreq =	5.0;
trackFreq =	0.1;
fireFreq =	3.0;
LOSFreq =	1.0;
orderFreq =	1.0;
};

function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER) {$Player=%what;}
}


function onMissionStart()
{
	$navBravo= getObjectId("MissionGroup\\Nav\\navBravo");
	$navCharlie= getObjectId("MissionGroup\\Nav\\navCharlie");
	$kungulo= getObjectId("MissionGroup\\squad\\squadMate1");
	$bonesnap= getObjectId("MissionGroup\\squad\\squadMate2");
	$squad= getObjectId("MissionGroup\\squad");
	$killer= getObjectId("MissionGroup\\Cybrids\\Ground\\best");
	$artilPath= getObjectId("MissionGroup\\ArtilPath");
	$ArtilleryGroup= getObjectId("MissionGroup\\Cybrids\\Artillery");
	$Artillery1= getObjectId("MissionGroup\\Cybrids\\Artillery\\A1");
	$Artillery2= getObjectId("MissionGroup\\Cybrids\\Artillery\\A2");
	$Artillery3= getObjectId("MissionGroup\\Cybrids\\Artillery\\A3");
	$Artillery4= getObjectId("MissionGroup\\Cybrids\\Artillery\\A4");
	$Artillery5= getObjectId("MissionGroup\\Cybrids\\Artillery\\A5");
	$ArtilEscort= getObjectId("MissionGroup\\Cybrids\\ArtilEscort");
	$Escort1= getObjectId("MissionGroup\\Cybrids\\ArtilEscort\\E1");
	$Escort2= getObjectId("MissionGroup\\Cybrids\\ArtilEscort\\E2");
	$Escort3= getObjectId("MissionGroup\\Cybrids\\ArtilEscort\\E3");
	$Escort4= getObjectId("MissionGroup\\Cybrids\\ArtilEscort\\E4");
	$Escort5= getObjectId("MissionGroup\\Cybrids\\ArtilEscort\\E5");
	$Spotter= getObjectId("MissionGroup\\Cybrids\\ArtilEscort\\Spotter");
	//damageObject($Spotter, 100000);  //Easier without bgunner?
	$scout= getObjectId("MissionGroup\\Garisson\\Scout");
	$N1def= getObjectId("MissionGroup\\Cybrids\\N1Def");
	$Nexus1= getObjectId("MissionGroup\\Cybrids\\Nexus1");
	$N2def= getObjectId("MissionGroup\\Cybrids\\N2Def");
	$Nexus2= getObjectId("MissionGroup\\Cybrids\\Nexus2");
	$N3def= getObjectId("MissionGroup\\Cybrids\\N3Def");
	$Nexus3= getObjectId("MissionGroup\\Cybrids\\Nexus3");
	$otherBrids= getObjectId("MissionGroup\\Cybrids\\Ground");
	$Nike1= getObjectId("MissionGroup\\Garisson\\Nike1");
	$artilleryLeft=5;
	$cybridsSlain=0;
//	setPilotId($bonesnap,32);		//Too lazy to change the mission files
//	setPilotId($kungulo,33);
//	setPilotId($killer,34);
	schedule("order($squad, guard,$Player);",1);
	order($Escort1, guard, $Artillery1);
	order($Escort2, guard, $Artillery2);
	order($Escort3, guard, $Artillery3);
	order($Escort4, guard, $Artillery4);
	order($Escort5, guard, $Artillery5);
	order($ArtilleryGroup, holdFire, true);
	order($N1def, guard, Nexus1);
	order($N2def, guard, Nexus2);
	order($N3def, guard, Nexus3);
	schedule("setNavMarker($navCharlie, true, -1);", 1);
	$playerTarget=0;		//Command Variables
	clearGeneralOrders();
	addGeneralOrder( "Attack my target", "attackTarget();" );
	addGeneralOrder( "Join on me", "defendPlayer();" );
	addGeneralOrder( "Defend my target", "defendTarget();" );
	addGeneralOrder( "Hold fire", "holdFire();" );
	addGeneralOrder( "Fire at will", "openFire();" );
	addGeneralOrder( "Stay put", "stayPut();" );
	cdAudioCycle(terror,cyberntx);
        schedule("doWeFire();",3000);	//Long time limit given
	schedule("initDistanceChecks();",5);
}

function initDistanceChecks()
{
	checkBoundary("leave", $Player, $NavCharlie, $Warndistance, "warn");
	checkBoundary("leave", $Player, $NavCharlie, 4750, "leave");
}
/////////////////Artillery Functions///////////////////////////////////////////////////////////
function artillery::vehicle::onTargeted(%target, %targetter)
{
	if (%targetter==$Player)
	{
	echo("DEBUG: You have targetted artillery");
	$playerTarget= getObjectId(%target);
	}
}

function artillery::vehicle::onDestroyed(%destroyee, %destroyer)
{
	$artilleryLeft= $artilleryLeft-1;
	if ($artilleryLeft==0)
	{
	say(0,0,"GEN_OC01.wav");
	missionObjective1.status= *IDSTR_OBJ_COMPLETED;
	setNavMarker($navBravo, true, -1);
	setNavMarker($navCharlie, false, 0);
	returnToBravo();
	}
	if (%destroyee==$playerTarget)
	{$playerTarget=0;}
	order($otherBrids,guard,%destroyee);
}

function doWeFire()
{
	if (missionObjective1.status== *IDSTR_OBJ_ACTIVE) bombard();
}

function bombard()
{
	order($artilleryGroup, holdFire, false);
	order($artilleryGroup, attack, $Nike1);
}
/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onTargeted(%target, %targetter)
{
	if (%targetter==$Player)
	{
	echo("DEBUG: You have targetted a cybrid");
	$playerTarget= getObjectId(%target);
	}
}

function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if (%destroyee==$playerTarget)
	{
	$playerTarget=0;
	}
	$cybridsSlain= $cybridsSlain+1;
	if ($cybridsSlain>=20) missionObjective3.status = *IDSTR_OBJ_COMPLETED;
}
/////////////////Squad Functions///////////////////////////////////////////////////////////////
function attackTarget()
{
	if ($playerTarget==0) {say(0,$bonesnap,*IDSTR_AA2_NTGT); return;}
	order($squad, holdFire, false);
	say(0,$bonesnap,*IDSTR_AA2_ATK);
	order($squad, attack, $playerTarget);
}

function defendPlayer()
{
	order($squad, guard, $Player);
	say(0,$kungulo,*IDSTR_AA2_DFD1);
}

function defendTarget()
{
	if ($playerTarget==0) {say(0,$bonesnap,*IDSTR_AA2_NTGT); return;}
	order($squad, guard, $playerTarget); say(0,$bonesnap,*IDSTR_AA2_DFD2);
}

function holdFire()
{
	order($squad, holdFire, true);
	say(0,$bonesnap,*IDSTR_AA2_NFR1);
	schedule("say(0,$kungulo,*IDSTR_AA2_NFR2);",1);
}

function openFire()
{
	order($squad, holdFire, false); say(0,$bonesnap,*IDSTR_AA2_FIRE);
}

function stayPut()
{
	order($squad, clear, true); say(0,$kungulo,*IDSTR_AA2_STAY);
}
/////////////////Alliance Funcions/////////////////////////////////////////////////////////////
function alli::vehicle::onTargeted(%target, %targetter)
{
	if (%targetter==$Player)
	{
	echo("Don't shoot!");
	$playerTarget= getObjectId(%target);
	}
}

function alli::vehicle::onAttacked(%attackee, %attacker)
{
	if(getGroup(%attacker)==$artilleryGroup)
	{
		missionObjective1.status = *IDSTR_OBJ_FAILED;
		say(0,0,"sm_jaguar_dc1");
		say(0,0,"mission_fail.wav");
		schedule("forceToDebrief();",5);
	}
}

function alli::vehicle::onDestroyed(%destroyee, %destroyer)
{
	if (%destroyee==$playerTarget)
	{
	$playerTarget=0;
	}
	if(%destroyer==$Player)
		retaliateAgainstPlayer();
}
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function returnToBravo()
{
	if (getDistance($Player, $navBravo) < 200)
	{
	missionObjective2.status= *IDSTR_OBJ_COMPLETED;
	if ($cybridsSlain>=20) missionObjective3.status = *IDSTR_OBJ_COMPLETED;
	removeGeneralOrder( "Attack my target" );
	removeGeneralOrder( "Join on me" );
	removeGeneralOrder( "Defend my target" );
	removeGeneralOrder( "Hold fire" );
	removeGeneralOrder( "Fire at will" );
	removeGeneralOrder( "Stay put" );
	schedule("forceToDebrief();",2);
	}
	else schedule("returnToBravo();",0.1);
}