////////////Alliance Mission 4////////////////////////////////////
//Objectives:	1) Live				                //
//		2) CHARGE!					//
//////////////////////////////////////////////////////////////////
$missionName = "aa4";


exec("PPcampaignStdLib.cs");

MissionBriefInfo missionBriefInfo
{
   campaign             = "Battle of Eskandani Chasm";             
   title                = "Last Stand";      
   planet               = *IDSTR_PLANET_TITAN;     
   location             = "Southwestern Front"; 
   dateOnMissionEnd     = 28324967;               
   shortDesc            = "Fight to the death";
   longDescRichText     = *IDSTR_AA4_BRF;
   media                = "aa4_brief.bmp";
   successDescRichText  = *IDSTR_AA4_DBRF;
   failDescRichText     = "The Cybrids overwhelmed Eskandani with minimal losses. Can't you do any better?";
   nextMission          = "aa5";
   scrambleNextMission	= false;
   soundVol             = "aa4.vol";
   successWavFile       = "";
};

MissionBriefObjective missionObjective1         
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_ACTIVE;
   shortTxt             = "Live.";
   longTxt              = "Destroy as many cybrids as you can. Make them pay, and pay a lot.";
   bmpName              = "aa4_obj1.bmp";
};

MissionBriefObjective missionObjective2
{
   isPrimary            = true;
   status               = *IDSTR_OBJ_IGNORE;
   shortTxt             = "You heard him.";
   longTxt              = "";
   bmpName              = "";
};


function player::onAdd(%who)
{
	$THEPLAYER=%who;
}

function vehicle::onAdd(%what)
{
	if(playerManager::vehicleIdToPlayerNum(%what)==$THEPLAYER) {$Player=%what;}
}

//Plenty of pilots.
Pilot cassell
{
   id = 27;
   
   name = "Sgt.Cassell";
   skill = 0.4;
   accuracy = 0.2;
   aggressiveness = 0.1;
   activateDist = 100.0;
   deactivateBuff = 200.0;
   targetFreq = 0.6;
   trackFreq = 0.6;
   fireFreq = 0.2;
   LOSFreq = 0.8;
   orderFreq = 1.0;
};

Pilot tapper
{
   id = 28;
   
   name = "Tapper One";
   skill = 0.6;
   accuracy = 0.7;
   aggressiveness = 0.3;
   activateDist = 750.0;
   deactivateBuff = 250.0;
   targetFreq = 0.5;
   trackFreq = 0.1;
   fireFreq = 0.1;
   LOSFreq = 1.5;
   orderFreq = 0.7;
};

Pilot crazy
{
   id = 29;
   
   name = "Lunatic";
   skill = 0.2;
   accuracy = 0.8;
   aggressiveness = 2.0;
   activateDist = 1000.0;
   deactivateBuff = 250.0;
   targetFreq = 10.0;
   trackFreq = 0.1;
   fireFreq = 0.05;
   LOSFreq = 10.0;
   orderFreq = 0.1;
};

Pilot boomboom
{
   id = 30;
   
   name = "Boom-boom";
   skill = 0.6;
   accuracy = 0.3;
   aggressiveness = 0.7;
   activateDist = 500.0;
   deactivateBuff = 200.0;
   targetFreq = 1.0;
   trackFreq = 0.1;
   fireFreq = 0.5;
   LOSFreq = 0.2;
   orderFreq = 0.5;
};

Pilot thunder
{
   id = 31;
   
   name = "Thunderbolt";
   skill = 0.7;
   accuracy = 1.0;
   aggressiveness = 0.4;
   activateDist = 750.0;
   deactivateBuff = 250.0;
   targetFreq = 0.8;
   trackFreq = 0.1;
   fireFreq = 0.2;
   LOSFreq = 0.1;
   orderFreq = 0.25;
};

pilot Bo
{
id=	32;
name=	"Bo";
skill =		0.4;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot Church
{
id=	33;
name=	"Church";
skill =	0.3;
accuracy =	0.5;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
generic =	true;
};

pilot shak
{
id=	34;
name=	"Shak";
skill =	0.5;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
generic =	true;
};

pilot perilous
{
id=	35;
name=	"Perilous";
skill =	0.2;
accuracy =	0.6;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot choker
{
id=	36;
name=	"Choker";
skill =	0.4;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot marimba
{
id=	37;
name=	"Marimba";
skill =	0.5;
accuracy =	0.3;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.2;
fireFreq =	0.2;
LOSFreq =	0.33;
orderFreq =	1.0;
};

pilot Pirouette
{
id=	38;
name=	"Pirouette";
skill =	0.7;
accuracy =	0.6;
aggressiveness =	0.5;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	0.2;
LOSFreq =	0.3;
orderFreq =	1.0;
};

pilot bike
{
id=	39;
name=	"Modified Assault Bike";
skill =	0.8;
accuracy =	0.7;
aggressiveness =	0.3;
activateDist =	600.0;
deactivateBuff =	150.0;
targetFreq =	0.5;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot gorg1
{
id=	40;
name=	"Sonters";
skill =	0.8;
accuracy =	0.9;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot drea1
{
id=	41;
name=	"Dustmole";
skill =	0.4;
accuracy =	0.8;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};


pilot apoc1
{
id=	42;
name=	"Lice Roast";
skill =	0.6;
accuracy =	0.7;
aggressiveness =	0.9;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot mino2
{
id=	43;
name=	"Lionshead";
skill =	0.6;
accuracy =	0.8;
aggressiveness =	0.7;
activateDist =	500.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot techlover
{
id=	44;
name=	"Tech-man";
skill =	1.0;
accuracy =	0.8;
aggressiveness =	0.6;
activateDist =	500.0;
deactivateBuff =	100.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.1;
LOSFreq =	0.5;
orderFreq =	1.0;
};

pilot myrm1
{
id=	45;
name=	"Justice";
skill =	0.8;
accuracy =	0.8;
aggressiveness =	0.2;
activateDist =	400.0;
deactivateBuff =	25.0;
targetFreq =	1.0;
trackFreq =	0.2;
fireFreq =	0.6;
LOSFreq =	0.3;
orderFreq =	0.5;
};

pilot basil1
{
id=	46;
name=	"Flameboy";
skill =	1.0;
accuracy =	0.6;
aggressiveness =	0.6;
activateDist =	600.0;
deactivateBuff =	200.0;
targetFreq =	1.0;
trackFreq =	0.1;
fireFreq =	0.3;
LOSFreq =	0.1;
orderFreq =	0.5;
};

pilot olyp1
{
id=	47;
name=	"El";
skill =	0.4;
accuracy =	1.0;
aggressiveness =	0.4;
activateDist =	700.0;
deactivateBuff =	250.0;
targetFreq =	1.0;
trackFreq =	0.5;
fireFreq =	0.1;
LOSFreq =	1.0;
orderFreq =	0.5;
};

pilot falchion
{
id=	48;
name=	"Falchion";
skill =	0.9;
accuracy =	0.7;
aggressiveness =	0.9;
activateDist =	750.0;
deactivateBuff =	250.0;
targetFreq =	1.0;
trackFreq =	0.2;
fireFreq =	0.1;
LOSFreq =	0.2;
orderFreq =	0.5;
};

pilot gen
{
id=	49;
name=	"Dortegger";
skill =	1.0;
accuracy =	0.7;
aggressiveness =	0.6;
activateDist =	400.0;
deactivateBuff =	200.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	0.2;
LOSFreq =	0.1;
orderFreq =	0.2;
};

pilot bombard
{
id=	50;
skill =	1.0;
accuracy =	0.0;
aggressiveness =	0.1;
activateDist =	1200.0;
deactivateBuff =	300.0;
targetFreq =	5.0;
trackFreq =	0.1;
fireFreq =	3.0;
LOSFreq =	1.0;
orderFreq =	1.0;
};

pilot scrambler
{
id=	51;
name=	"Scrambler";
skill =	1.0;
accuracy =	0.3;
aggressiveness =	0.4;
activateDist =	500.0;
deactivateBuff =	250.0;
targetFreq =	2.0;
trackFreq =	0.1;
fireFreq =	0.4;
LOSFreq =	0.1;
orderFreq =	0.1;
};

pilot bouncer
{
id=	52;
name=	"Bouncer";
skill =	0.9;
accuracy =	0.7;
aggressiveness =	0.6;
activateDist =	400.0;
deactivateBuff =	200.0;
targetFreq =	1.2;
trackFreq =	0.2;
fireFreq =	0.1;
LOSFreq =	0.5;
orderFreq =	1.0;
};

Pilot mary
{
   id = 53;
   
   name = "Mary";
   skill = 1.0;
   accuracy = 0.9;
   aggressiveness = 0.2;
   activateDist = 400.0;
   deactivateBuff = 200.0;
   targetFreq = 3.0;
   trackFreq = 0.2;
   fireFreq = 0.5;
   LOSFreq = 0.3;
   orderFreq = 2.0;
};

Pilot speedy
{
   id = 54;
   
   name = "Speedy Gonzales";
   skill = 1.0;
   accuracy = 0.5;
   aggressiveness = 0.0;
   activateDist = 450.0;
   deactivateBuff = 50.0;
   targetFreq = 0.5;
   trackFreq = 0.3;
   fireFreq = 0.5;
   LOSFreq = 0.1;
   orderFreq = 0.1;
};

Pilot fourthKiller
{
   id = 55;
   
   name = "<Killer-of-Animals: Fourth>";
   skill = 0.9;
   accuracy = 1.0;
   aggressiveness = 0.8;
   activateDist = 700;
   deactivateBuff = 300.0;
   targetFreq = 0.1;
   trackFreq = 0.1;
   fireFreq = 0.1;
   LOSFreq = 0.1;
   orderFreq = 0.1;
};

Pilot thirdKiller
{
   id = 56;
   
   name = "<Killer-of-Animals: Third>";
   skill = 1.0;
   accuracy = 1.0;
   aggressiveness = 1.0;
   activateDist = 1000;
   deactivateBuff = 500.0;
   targetFreq = 0.1;
   trackFreq = 0.1;
   fireFreq = 0.1;
   LOSFreq = 0.1;
   orderFreq = 0.05;
};

Pilot fifthKiller
{
   id = 57;
   
   name = "<Killer-of-Animals: Fifth>";
   skill = 0.8;
   accuracy = 0.9;
   aggressiveness = 1.0;
   activateDist = 800;
   deactivateBuff = 200.0;
   targetFreq = 0.1;
   trackFreq = 0.2;
   fireFreq = 0.2;
   LOSFreq = 0.2;
   orderFreq = 0.2;
};

Pilot dazedBrid
{
   id = 58;
   
   skill = 0.0;
   accuracy = 0.0;
   aggressiveness = 0.0;
   activateDist = 1.0;
   deactivateBuff = 1.0;
   targetFreq = 10.0;
   trackFreq = 5.0;
   fireFreq = 2.0;
   LOSFreq = 10.0;
   orderFreq = 3.0;
};

function onMissionStart()
{
	$navBravo= getObjectId("MissionGroup\\Nav\\navBravo");
	$N1def= getObjectId("MissionGroup\\Cybrids\\N1Def");
	$Nexus1= getObjectId("MissionGroup\\Cybrids\\Nexus1");
	$N2def= getObjectId("MissionGroup\\Cybrids\\N2Def");
	$Nexus2= getObjectId("MissionGroup\\Cybrids\\Nexus2");
	$N3def= getObjectId("MissionGroup\\Cybrids\\N3Def");
	$Nexus3= getObjectId("MissionGroup\\Cybrids\\Nexus3");
	$Prometheans= getObjectId("MissionGroup\\Cybrids\\Prometheans");
	$Metagens= getObjectId("MissionGroup\\Cybrids\\Metagens");
	$Garisson= getObjectId("MissionGroup\\Garisson");
	$Reinforcements= getObjectId("MissionGroup\\REINFORCEMENTS");
	$Nike1= getObjectId("MissionGroup\\Garisson\\nike1");
	$Eman1= getObjectId("MissionGroup\\Garisson\\eman1");	//RB
	$Drea2= getObjectId("MissionGroup\\Garisson\\Drea2");	//TIT
	$Mino1= getObjectId("MissionGroup\\Garisson\\Mino1");	//TR
	$Aven1= getObjectId("MissionGroup\\Garisson\\Aven1");	//RB
	$Disr1= getObjectId("MissionGroup\\Garisson\\Disr1");	//TR
	$Pala1= getObjectId("MissionGroup\\Garisson\\Pala1");
	$Sonters= getObjectId("MissionGroup\\Garisson\\Sonters");
	$El= getObjectId("MissionGroup\\Garisson\\El");
	$Dustmole= getObjectId("MissionGroup\\Garisson\\Dmole");
	$Justice= getObjectId("MissionGroup\\Garisson\\Justice");
	$LiceRoast= getObjectId("MissionGroup\\Garisson\\Liceroast");
	$Flameboy= getObjectId("MissionGroup\\Garisson\\Flame");
	$Lionshead= getObjectId("MissionGroup\\Garisson\\Lhead");
	$Gen= getObjectId("MissionGroup\\Garisson\\Gen");
	$Bike1= getObjectId("MissionGroup\\Reinforcements\\bike1");
	$Bike2= getObjectId("MissionGroup\\Reinforcements\\bike2");
	$Bike3= getObjectId("MissionGroup\\Reinforcements\\bike3");
	$Pirouette= getObjectId("MissionGroup\\Reinforcements\\Pirouette");
	$Thunderbolt= getObjectId("MissionGroup\\Reinforcements\\Thunderbolt");
	$Cassell= getObjectId("MissionGroup\\Reinforcements\\Cassell");
	$Tapper= getObjectId("MissionGroup\\Reinforcements\\tapper");
	$Falchion= getObjectId("MissionGroup\\Reinforcements\\Falchion");
	$Techman= getObjectId("MissionGroup\\Reinforcements\\techman");
	$Lunatic= getObjectId("MissionGroup\\Reinforcements\\Lunatic");
	$BoomBoom= getObjectId("MissionGroup\\Reinforcements\\BoomBoom");
	$Scrambler= getObjectId("MissionGroup\\Reinforcements\\Scrambler");
	$Bouncer= getObjectId("MissionGroup\\Reinforcements\\Bouncer");
	$Mary= getObjectId("MissionGroup\\Reinforcements\\Mary");
	$Speedy= getObjectId("MissionGroup\\Reinforcements\\Speedy");
	$ThirdKiller= getObjectId("MissionGroup\\Cybrids\\Prometheans\\thirdKiller");
	$FourthKiller= getObjectId("MissionGroup\\Cybrids\\Prometheans\\fourthKiller");
	$FifthKiller= getObjectId("MissionGroup\\Cybrids\\Prometheans\\FifthKiller");
	$Surveyor1=getObjectId("MissionGroup\\Utilities\\Surv1");
	$Surveyor3=getObjectId("MissionGroup\\Utilities\\Surv3");
	$Surveyor4=getObjectId("MissionGroup\\Utilities\\Surv4");
	$Surveyor5=getObjectId("MissionGroup\\Utilities\\Surv5");
	$TH1= getObjectId("MissionGroup\\Garisson\\Thumper1");
	$TH2= getObjectId("MissionGroup\\Garisson\\Thumper2");
	//Pilots dont bother to stay in formation. It's just one big deathmatch now.

//	setPilotId($Eman1,32);				//Too lazy to change the mission files
//        setPilotId($Drea2,33);		//These must not be changed!
//        setPilotId($Mino1,34);
//        setPilotId($Pala1,35);	
//        setPilotId($Aven1,36);
//        setPilotId($Disr1,37);
//
//	setPilotId($Sonters,40);
//	setPilotId($El,47);
//	setPilotId($Dustmole,41);
//	setPilotId($Justice,45);
//	setPilotId($LiceRoast,42);
//	setPilotId($Flameboy,46);
//	setPilotId($Lionshead,43);
//	setPilotId($Pirouette,38);
//	setPilotId($Bike1,39);
//	setPilotId($Bike2,39);
//	setPilotId($Bike3,39);
//	setPilotId($Techman,44);
//	setPilotId($Cassell,27);
//	setPilotId($Tapper,28);
//	setPilotId($Lunatic,29);
//	setPilotId($BoomBoom,30);
//	setPilotId($Thunderbolt,31);
//	setPilotId($Falchion,48);
//	setPilotId($Scrambler,51);
//	setPilotId($Bouncer,52);
//	setPilotId($Mary,53);
//	setPilotId($Speedy,54);
//
//	setPilotId($FourthKiller,55);
//	setPilotId($ThirdKiller,56);
//	setPilotId($FifthKiller,57);

	playAnimSequence($Surveyor1,2,true);	//Vehs start operating
	playAnimSequence($Surveyor3,2,true);
	playAnimSequence($Surveyor4,2,true);
	playAnimSequence($Surveyor5,2,true);
	playAnimSequence("MissionGroup\\Cybrids\\N1Def\\jamm1", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N1Def\\jamm2", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N2Def\\jamm1", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N2Def\\jamm2", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N3Def\\jamm1", 2, true);
	playAnimSequence("MissionGroup\\Cybrids\\N3Def\\jamm2", 2, true);
	playAnimSequence($Nike1,2,true);	//Artillery locks itself into the ground
	order($N1def, guard, Nexus1);
	order($N2def, guard, Nexus2);
	order($N3def, guard, Nexus3);
	order($Nike1, holdPosition, true);	//Artillery unit anchored in place
	order($Prometheans, guard, "MissionGroup\\Cybrids\\humanBase");		//Cybrids advance
	order($Metagens, guard, "MissionGroup\\Cybrids\\humanBase");
	clearGeneralOrders();
        cdAudioCycle(ss3,ss4);
	schedule("say(0,0,*IDSTR_AA4_IMP1, \"M12_HMan_asanox.WAV\");",10);
	schedule("newsArrives();",350);
}

/////////////////Cybrid Functions//////////////////////////////////////////////////////////////
function cybrids::vehicle::onTargeted(%target, %targetter)
{
	if ($battleBegins==false)
	{
	$battleBegins=true;
	scheduleSays();
	}
}

function cybrids::vehicle::onAttacked(%attackee, %attacker)
{
	if ($battleBegins==false)
	{
	$battleBegins=true;
	scheduleSays();
	}
}

function cybrids::vehicle::onDestroyed(%destroyee, %destroyer)
{
	destroyerTaunt(%destroyer);	//Pilots make comments
	if (getGroup(%destroyer)==$Player) vehicle::salvage(%destroyee);	//salvage is now credit-based
}


function newsArrives()
{
	order($Prometheans, clear, true);
	order($Prometheans, holdFire, true);
	order($Prometheans, holdPosition, true);
	order($Metagens, clear, true);
	order($Metagens, holdFire, true);
	order($Metagens, holdPosition, true);
	cdAudioFadeStop();
	schedule("battleComment(8);",1);
	schedule("battleComment(9);",4);
	schedule("battleComment(10);",5);
	schedule("dazeBrids();",3);
	schedule("cdAudioCycle(7);",4.5);
	schedule("order($Metagens, holdFire, true);",5);
	schedule("order($Metagens, holdPosition, false);",5);
        schedule("order($Metagens, guard, \"MissionGroup/nowhere\");",5);              //Cybrids flee
	schedule("order($Prometheans, holdFire, false);",5);				//Cybrids recover and fight
	schedule("order($Prometheans, holdPosition, false);",5);
        schedule("order($Garisson, guard, \"MissionGroup/nowhere\");",5.5);            //Humans charge
        schedule("order($Reinforcements, guard, \"MissionGroup/nowhere\");",5);        //Humans charge
	schedule("order($Garisson, speed, high);",5); 				       //Humans CHARGE
	schedule("order($Reinforcements, speed, high);",5); 			       //Humans CHARGE
	schedule("order($Reinforcements, attack, $Megagens);",5);
	schedule("order($Garisson, attack, $Megagens);",5);
	schedule("order($Reinforcements, attack, $Prometheans);",5);
	schedule("order($Garisson, attack, $Prometheans);",5);
	schedule("missionObjective1.status=*IDSTR_OBJ_IGNORE;",5);
	schedule("missionObjective2.status=*IDSTR_OBJ_ACTIVE;",5);
	schedule("missionObjective2.status=*IDSTR_OBJ_COMPLETED;",15);	//How will they know if you DIDN'T charge?
	schedule("say(0,0,\"mission_comp.wav\");",30);
	schedule("doInventory();",44);
	schedule("battleComment(11);",7);
	schedule("forceToDebrief();",45);
}

function dazeBrids()
{
	setPilotID($Prometheans, 58);
}
/////////////////Alliance Funcions/////////////////////////////////////////////////////////////
function alli::vehicle::onTargeted(%target, %targetter)
{
	if (($battleBegins==false)&&(getTeam(%targetter)==*IDSTR_TEAM_RED))	//Make sure it isn't a player prank
	{
	$battleBegins=true;
	scheduleSays();
	}
}

function alli::vehicle::onDestroyed(%destroyee, %destroyer)
{
	lastWords(%destroyee);
        killChannel(%destroyee);
}

function destroyerTaunt(%destroyer)
{
	if (%destroyer==$Drea2)		//Church
		say(0,$Drea2,*IDSTR_AA3_CRC2,"sm_hm2_td2.wav");
	if (%destroyer==$Aven1)		//Choker
		say(0,$Aven1,*IDSTR_AA3_CHK2,"sm_hm1_td2.wav");
	if (%destroyer==$Disr1)		//Marimba
		say(0,$Disr1,*IDSTR_AA3_MAR1,"sm_tiger_td2.wav");
	if (%destroyer==$Dustmole)		//Dustmole
		say(0,$Dustmole,*IDSTR_AA3_DML3,"");
	if (%destroyer==$LiceRoast)		//Lice Roast
		say(0,$LiceRoast,*IDSTR_AA3_LR1,"");
	if (%destroyer==$Lionshead)		//Lionshead
		say(0,$Lionshead,*IDATR_AA3_LIO2,"");
	if (%destroyer==$Justice)		//Justice
		say(0,$Justice,*IDSTR_AA3_JST1,"he3_caa04.wav");
	if (%destroyer==$Flameboy)	//Flameboy
		say(0,$Flameboy,*IDSTR_AA3_FLM1,"he3_caa03.wav");
	if (%destroyer==$El)		//El
		say(0,$El,*IDSTR_AA3_EL1,"sm_dwish_td2.wav");
	if (%destroyer==$Gen)		//Dortegger
		say(0,$Gen,*IDSTR_AA3_GEN4,"");
}

function scheduleSays()
{
	schedule("alliedRetreat();",60);
	schedule("battleComment(5);",45);
	schedule("battleComment(6);",87);
	schedule("battleComment(4);",103);
	schedule("battleComment(2);",132);
	schedule("battleComment(3);",166);
	schedule("battleComment(1);",174);
	schedule("battleComment(3);",224);
	schedule("battleComment(7);",250);
}

function battleComment(%num)
{
	if(%num==1) say(0,$Pirouette,*IDSTR_AA4_PIR1,"");
	if(%num==2) say(0,$Eman1,*IDSTR_AA4_BO1,"M9_Delta6_deathis.WAV");
	if(%num==3) say(0,$LiceRoast,*IDSTR_AA4_LR1,"");
	if(%num==4) say(0,$Gen,*IDSTR_AA4_GEN1,"");
	if(%num==5) say(0,$Mary,*IDSTR_AA4_MAR1,"M0_CTF_imnotgonna.wav");
	if(%num==6) say(0,$Justice,*IDSTR_AA4_JST1,"");
	if(%num==7) say(0,$Lunatic,*IDSTR_AA4_LUNA1,"F6_DWish_flame.WAV");
	if(%num==8) say(0,0,*IDSTR_AA4_REB1,"");
	if(%num==9) say(0,0,*IDSTR_AA4_GEN2,"");
	if(%num==10) say(0,0,*IDSTR_AA4_GEN3,"mission_obj_new.wav");
	if(%num==11)
	{
		say(0,0,*IDSTR_AA4_REB2);
		schedule("say(0,0,*IDSTR_AA4_IMP2);",4);
		schedule("say(0,0,*IDSTR_AA4_MRC1);",7);
		schedule("say(0,0,*IDSTR_AA4_IMP3);",8);
		schedule("say(0,0,*IDSTR_AA4_REB3);",11);
		schedule("say(0,0,*IDSTR_AA4_FLM1);",15);
	}
}

function lastWords(%who)
{
	if (%who==$Sonters)		//Sonters
		say(0,$Sonters,*IDSTR_AA3_SNT4,"sm_hman_dc1.wav");
	if (%who==$Dustmole)		//Dustmole
		say(0,$Dustmole,*IDSTR_AA3_DML4,"");
	if (%who==$LiceRoast)		//Lice Roast
		say(0,$LiceRoast,*IDSTR_AA3_LR3,"");
	if (%who==$Lionshead)		//Lionshead
		say(0,$Lionshead,*IDSTR_AA3_LIO4,"");
	if (%who==$Justice)		//Justice
		say(0,$Justice,*IDSTR_AA3_JST3,"GEN_STATIC01.WAV");
	if (%who==$Flameboy)	//Flameboy
		say(0,$Flameboy,*IDSTR_AA3_FLM2,"");
	if (%who==$El)		//El
		say(0,$El,*IDSTR_AA3_EL2,"");
	if (%who==$Cassell)		//Sgt. Cassell
		say(0,$Cassell,*IDSTR_AA4_CAS1,"sm_saxon_dc1.wav");

}

function alliedRetreat()
{
	order($Garisson, guard, "MissionGroup\\Base1");
	order($Reinforcements, guard, "MissionGroup\\Base1");
	say(0,$Gen, *IDSTR_AA4_GEN4);
}
/////////////////Miscellaneous/////////////////////////////////////////////////////////////////
function doInventory()
{
	inventoryComponentAdjust(titan,	900,	2);	//LIFE
	inventoryComponentAdjust(titan,	890,	1);	//REPAIR
	inventoryComponentAdjust(titan,	910,	1);	//AGRAV
	inventoryComponentAdjust(titan,	850,	2);	//SAMP
	inventoryComponentAdjust(titan,	845,	1);	//SCAP
	inventoryComponentAdjust(-1,	830,	1);	//CHAM
	inventoryComponentAdjust(titan,	914,	1);	//UAP

        inventoryVehicleAdjust(titan,5,1);          //Basilisk, loaded
	inventoryWeaponAdjust(titan,105,2);
	inventoryWeaponAdjust(titan,125,2);
	inventoryComponentAdjust(titan,108,1);
	inventoryComponentAdjust(titan,201,1);
	inventoryComponentAdjust(titan,801,1);
	inventoryComponentAdjust(titan,303,1);
	inventoryComponentAdjust(titan,929,1);
	inventoryComponentAdjust(titan,408,1);
	inventoryComponentAdjust(titan,810,1);
	inventoryComponentAdjust(titan,840,1);

	inventoryPilotSet(titan,12,true);	//Fors Lost
	inventoryPilotSet(titan,3,true);	//Destin Strader
	inventoryPilotSet(titan,5,true);	//Galat Devans
	inventoryPilotSet(titan,1,true);	//Hattras-Smith

	updatePlanetaryInventory(aa4);
}