//These are just general-purpose functions. I've come up with most specifically for this campaign, though a couple are
//imported.
//
//Notes:
//Thumper functions assume Yellow Team is friendly
//tacticalUpdate requires $HQ definition to be used

exec("PPcampaign.strings.cs");	//So that campaign strings are visible
exec("trigonometryStdLib.cs");
$HQ=0;

//Metagen Attack
newFormation( metagen, 0,0,0, 0,20,0, -20,0,0, 20,0,0, -40,-20,0, 40,-20,0);
//Protector Surround Formation
newFormation( protect, 0,0,0, 0,200,0, -100,100,0, 100,100,0, -70.7,170.7,0, 70.7,170.7,0, -70.7,70.7,0, 70.7,70.7,0, 0,225,0, 0,-25,0);

/////////////String Functions
function isHerc(%who)
{
	%type=getVehicleName(%who);
	%answer=false;
	if (%type=="Emancipator") %answer=true;
	if (%type=="Outrider Emancipator") %answer=true;
	if (%type=="Olympian") %answer=true;
	if (%type=="Outrider Apocalypse") %answer=true;
	if (%type=="Apocalypse") %answer=true;
	if (%type=="Talon") %answer=true;
	if (%type=="Minotaur") %answer=true;
	if (%type=="Basilisk") %answer=true;
	if (%type=="Gorgon") %answer=true;
	if (%type=="Knight's Apocalypse") %answer=true;
	if (%type=="Knight's Talon") %answer=true;
	if (%type=="Knight's Minotaur") %answer=true;
	if (%type=="Knight's Basilisk") %answer=true;
	if (%type=="Knight's Gorgon") %answer=true;
	if (%type=="Seeker") %answer=true;
	if (%type=="Goad") %answer=true;
	if (%type=="Shepherd") %answer=true;
	if (%type=="Adjudicator") %answer=true;
	if (%type=="Executioner") %answer=true;
	if (%type=="Metagen Seeker") %answer=true;
	if (%type=="Metagen Goad") %answer=true;
	if (%type=="Metagen Shepherd") %answer=true;
	if (%type=="Metagen Adjudicator") %answer=true;
	if (%type=="Metagen Executioner") %answer=true;
	if (%type=="Platinum Guard Adjudicator") %answer=true;
	if (%type=="Platinum Guard Executioner") %answer=true;
	if (%type=="Prometheus") %answer=true;
	if (%type=="Cinematic Basilisk") %answer=true;
	if (%type=="Caanon's Basilisk") %answer=true;
	if (%type=="Cinematic Apocalypse") %answer=true;
	if (%type=="Harabec's Apocalypse") %answer=true;
	return %answer;
}

function getWeaponName(%id)
{
	if (%id==3) return "Disrupter Cannon";
	if (%id==101) return "Laser";
	if (%id==102) return "Heavy Laser";
	if (%id==103) return "Compression Laser";
	if (%id==104) return "Twin Laser";
	if (%id==105) return "Electromagnetic Pulse Cannon";
	if (%id==106) return "Electron Flux Whip";
	if (%id==107) return "Blaster";
	if (%id==108) return "Heavy Blaster";
	if (%id==109) return "Particle Beam Weapon";
	if (%id==110) return "Plasma Cannon";
	if (%id==111) return "Blink Gun";
	if (%id==112) return "Quantum Gun";
	if (%id==113) return "Magneto-Fusion Assault Cannon";
	if (%id==114) return "Nano-Infuser";
	if (%id==115) return "Nanite Cannon";
	if (%id==116) return "Autocannon";
	if (%id==117) return "Heavy Autocannon";
	if (%id==118) return "Electromagnetic Autocannon";
	if (%id==119) return "Blast Cannon";
	if (%id==120) return "Heavy Blast Cannon";
	if (%id==121) return "Railgun";
	if (%id==124) return "Pit Viper 8-Pack";
	if (%id==125) return "Pit Viper 12-Pack";
	if (%id==126) return "Sparrow 6-Pack";
	if (%id==127) return "Sparrow 10-Pack";
	if (%id==128) return "Swarm 6-Pack";
	if (%id==129) return "Minion Missile";
	if (%id==130) return "Shrike Missile";
	if (%id==131) return "Arachnitron 6-Pack";
	if (%id==132) return "Arachnitron 10-Pack";
	if (%id==133) return "Arachnitron 14-Pack";
	if (%id==134) return "Proximity 6-Pack";
	if (%id==135) return "Proximity 8-Pack";
	if (%id==136) return "Proximity 10-Pack";
	if (%id==142) return "Radiation Gun";
	if (%id==147) return "Aphid Missile";
	if (%id==150) return "Smart Gun";
	if (%id==0) return "NONE";
}

function getComponentName(%id)
{
	if (%id==100) return "Light Engine";
	if (%id==101) return "Light High Output Engine";
	if (%id==102) return "Light Agility Engine";
	if (%id==103) return "Medium Engine";
	if (%id==104) return "Medium High Output Engine";
	if (%id==105) return "Medium Agility Engine";
	if (%id==106) return "Heavy Engine";
	if (%id==107) return "Improved Heavy Engine";
	if (%id==108) return "Heavy Cruise Engine";
	if (%id==109) return "Heavy High Output Engine";
	if (%id==110) return "Heavy Agility Engine";
	if (%id==111) return "Standard Assault Engine";
	if (%id==112) return "Improved Assault Engine";
	if (%id==113) return "Heavy Turbine Engine";
	if (%id==114) return "High Output Turbine Engine";
	if (%id==115) return "Super Heavy Engine";
	if (%id==127) return "Alpha Engine";
	if (%id==129) return "Beta Engine";
	if (%id==130) return "Gamma Engine";
	if (%id==131) return "Delta Engine";
	if (%id==132) return "Epsilon Engine";
	if (%id==133) return "Zeta Engine";   
	if (%id==134) return "Eta Engine";
	if (%id==135) return "Theta Engine";
	if (%id==136) return "Iota Engine";   
	if (%id==137) return "Kappa Engine";
	if (%id==138) return "Lambda Engine";
	if (%id==139) return "Mu Engine";
	if (%id==140) return "Nu Engine";
	if (%id==141) return "Xi Engine";
	if (%id==142) return "Omicron Engine";
	if (%id==143) return "Pi Engine";
	if (%id==200) return "Micro Reactor";
	if (%id==201) return "Small Reactor";
	if (%id==202) return "Standard Reactor";
	if (%id==203) return "Medium Reactor";
	if (%id==204) return "Large Reactor";
	if (%id==205) return "Maxim Reactor";
	if (%id==225) return "Alpha Reactor";
	if (%id==226) return "Beta Reactor";
	if (%id==227) return "Gamma Reactor";
	if (%id==228) return "Delta Reactor";
	if (%id==229) return "Epsilon Reactor";
	if (%id==230) return "Zeta Reactor";
	if (%id==300) return "Standard Shield Generator";
	if (%id==301) return "Protector Shield Generator";
	if (%id==302) return "Guardian Shield Generator";
	if (%id==303) return "FastCharge Shield Generator";
	if (%id==304) return "Centurion Shield Generator";
	if (%id==305) return "Repulsor Shield Generator";
	if (%id==306) return "Titan Shield Generator";
	if (%id==307) return "Medusa Shield Generator";
	if (%id==310) return "Alpha Shield Generator";
	if (%id==327) return "Beta Shield Generator";
	if (%id==328) return "Gamma Shield Generator";
	if (%id==329) return "Delta Shield Generator";
	if (%id==330) return "Epsilon Shield Generator";
	if (%id==331) return "Zeta Shield Generator";   
	if (%id==332) return "Eta Shield Generator";
	if (%id==333) return "Theta Shield Generator";
	if (%id==400) return "Basic Sensor";
	if (%id==401) return "Ranger Sensor";
	if (%id==408) return "Standard Sensor";
	if (%id==409) return "Longbow Sensor";
	if (%id==410) return "Infiltrator Sensor";
	if (%id==411) return "Crossbow Sensor";
	if (%id==412) return "Ultralight Sensor";
	if (%id==413) return "Bloodhound Sensor";
	if (%id==414) return "Emission Scanning Sensor";
	if (%id==426) return "Alpha Sensor";
	if (%id==427) return "Beta Sensor";
	if (%id==428) return "Gamma Sensor";
	if (%id==429) return "Delta Sensor";
	if (%id==430) return "Epsilon Sensor";
	if (%id==431) return "Zeta Sensor";   
	if (%id==432) return "Eta Sensor";
	if (%id==433) return "Theta Sensor";
	if (%id==434) return "Iota Sensor";   
	if (%id==800) return "Basic Computer";
	if (%id==801) return "Intermediate Computer";
	if (%id==802) return "Advanced Computer";
	if (%id==805) return "Alpha Computer";
	if (%id==806) return "Beta Computer";
	if (%id==807) return "Gamma Computer";
	if (%id==810) return "Guardian ECM";
	if (%id==811) return "Doppelganger ECM";
	if (%id==812) return "Alpha ECM";
	if (%id==813) return "Beta ECM";
	if (%id==820) return "Thermal Diffuser";
	if (%id==830) return "Chameleon Cloak";
	if (%id==831) return "Cuttlefish Cloak";
	if (%id==840) return "Shield Modulator";
	if (%id==845) return "Shield Capitator";
	if (%id==850) return "Shield Amplifier";
	if (%id==860) return "Laser Target Designation System";
	if (%id==865) return "Auxillary Energy Reserve";
	if (%id==870) return "Reactor Capitator";
	if (%id==875) return "Field Stabilizer";
	if (%id==880) return "Rocket Booster";
	if (%id==885) return "Tubine Booster";
	if (%id==890) return "Nanorepair Module";
	if (%id==900) return "Angel Life Support System";
	if (%id==910) return "Anti-Gravity Module";
	if (%id==912) return "Electrohull";
	if (%id==914) return "Universal Ammo Pack";
	if (%id==926) return "CARLAM Armor";
	if (%id==927) return "Quad-Bonded Metaplas Armor";
	if (%id==928) return "DURAC Armor";
	if (%id==929) return "Ceramic Armor";
	if (%id==930) return "Crystaluminum Armor";
	if (%id==931) return "Quicksilver Armor";
	if (%id==0) return "NONE";
}

function strAlignR(%howmany, %string)
{
%len = strLen(%string);
for(%a=1;%a<=%len;%a++)
 {
 %strTemp = strAlign(%a, l, %string);
 %letter[%a] = letterCheck(%strTemp);
 }

%final = %len - %howmany + 1;
%end = "";
for(%a=%len; %a>=%final; %a--)
 {
 %end = strCat(%letter[%a], %end);
 }

return(%end);
}


function letterCheck(%str)
{
%len = strLen(%str);
%last = strAlign((%len - 1), l, %str);

for(%a=0;%a<=223;%a++)
 {
 if(%str == strCat(%last, $StrLetter[%a])) 
 return($StrLetter[%a]);
 }
return(" ");
}

function initLetterTab()
{
$StrLetter[000] = " ";
$StrLetter[001] = "!";
$StrLetter[002] = "\"";
$StrLetter[003] = "#";
$StrLetter[004] = "$";
$StrLetter[005] = "%";
$StrLetter[006] = "&";
$StrLetter[007] = "'";
$StrLetter[008] = "(";
$StrLetter[009] = ")";
$StrLetter[010] = "*";
$StrLetter[011] = "+";
$StrLetter[012] = ",";
$StrLetter[013] = "-";
$StrLetter[014] = ".";
$StrLetter[015] = "/";
$StrLetter[016] = "0";
$StrLetter[017] = "1";
$StrLetter[018] = "2";
$StrLetter[019] = "3";
$StrLetter[020] = "4";
$StrLetter[021] = "5";
$StrLetter[022] = "6";
$StrLetter[023] = "7";
$StrLetter[024] = "8";
$StrLetter[025] = "9";
$StrLetter[026] = ":";
$StrLetter[027] = ";";
$StrLetter[028] = "<";
$StrLetter[029] = "=";
$StrLetter[030] = ">";
$StrLetter[031] = "?";

$StrLetter[032] = "@";
$StrLetter[033] = "A";
$StrLetter[034] = "B";
$StrLetter[035] = "C";
$StrLetter[036] = "D";
$StrLetter[037] = "E";
$StrLetter[038] = "F";
$StrLetter[039] = "G";
$StrLetter[040] = "H";
$StrLetter[041] = "I";
$StrLetter[042] = "J";
$StrLetter[043] = "K";
$StrLetter[044] = "L";
$StrLetter[045] = "M";
$StrLetter[046] = "N";
$StrLetter[047] = "O";
$StrLetter[048] = "P";
$StrLetter[049] = "Q";
$StrLetter[050] = "R";
$StrLetter[051] = "S";
$StrLetter[052] = "T";
$StrLetter[053] = "U";
$StrLetter[054] = "V";
$StrLetter[055] = "W";
$StrLetter[056] = "X";
$StrLetter[057] = "Y";
$StrLetter[058] = "Z";
$StrLetter[059] = "[";
$StrLetter[060] = "\\";
$StrLetter[061] = "]";
$StrLetter[062] = "^";
$StrLetter[063] = "_";

$StrLetter[064] = "`";
$StrLetter[065] = "a";
$StrLetter[066] = "b";
$StrLetter[067] = "c";
$StrLetter[068] = "d";
$StrLetter[069] = "e";
$StrLetter[070] = "f";
$StrLetter[071] = "g";
$StrLetter[072] = "h";
$StrLetter[073] = "i";
$StrLetter[074] = "j";
$StrLetter[075] = "k";
$StrLetter[076] = "l";
$StrLetter[077] = "m";
$StrLetter[078] = "n";
$StrLetter[079] = "o";
$StrLetter[080] = "p";
$StrLetter[081] = "q";
$StrLetter[082] = "r";
$StrLetter[083] = "s";
$StrLetter[084] = "t";
$StrLetter[085] = "u";
$StrLetter[086] = "v";
$StrLetter[087] = "w";
$StrLetter[088] = "x";
$StrLetter[089] = "y";
$StrLetter[090] = "z";
$StrLetter[091] = "{";
$StrLetter[092] = "|";
$StrLetter[093] = "}";
$StrLetter[094] = "~";
$StrLetter[095] = "";

$StrLetter[096] = "";
$StrLetter[097] = "";
$StrLetter[098] = "";
$StrLetter[099] = "";
$StrLetter[100] = "";
$StrLetter[101] = "";
$StrLetter[102] = "";
$StrLetter[103] = "";
$StrLetter[104] = "";
$StrLetter[105] = "";
$StrLetter[106] = "";
$StrLetter[107] = "";
$StrLetter[108] = "";
$StrLetter[109] = "";
$StrLetter[110] = "";
$StrLetter[111] = "";
$StrLetter[112] = "";
$StrLetter[113] = "";
$StrLetter[114] = "";
$StrLetter[115] = "";
$StrLetter[116] = "";
$StrLetter[117] = "";
$StrLetter[118] = "";
$StrLetter[119] = "";
$StrLetter[120] = "";
$StrLetter[121] = "";
$StrLetter[122] = "";
$StrLetter[123] = "";
$StrLetter[124] = "";
$StrLetter[125] = "";
$StrLetter[126] = "";
$StrLetter[127] = "";

$StrLetter[128] = "";
$StrLetter[129] = "";
$StrLetter[130] = "";
$StrLetter[131] = "";
$StrLetter[132] = "";
$StrLetter[133] = "";
$StrLetter[134] = "";
$StrLetter[135] = "";
$StrLetter[136] = "";
$StrLetter[137] = "";
$StrLetter[138] = "";
$StrLetter[139] = "";
$StrLetter[140] = "";
$StrLetter[141] = "";
$StrLetter[142] = "";
$StrLetter[143] = "";
$StrLetter[144] = "";
$StrLetter[145] = "";
$StrLetter[146] = "";
$StrLetter[147] = "";
$StrLetter[148] = "";
$StrLetter[149] = "";
$StrLetter[150] = "";
$StrLetter[151] = "";
$StrLetter[152] = "";
$StrLetter[153] = "";
$StrLetter[154] = "";
$StrLetter[155] = "";
$StrLetter[156] = "";
$StrLetter[157] = "";
$StrLetter[158] = "";

$StrLetter[159] = "";
$StrLetter[160] = "";
$StrLetter[161] = "";
$StrLetter[162] = "";
$StrLetter[163] = "";
$StrLetter[164] = "";
$StrLetter[165] = "";
$StrLetter[166] = "";
$StrLetter[167] = "";
$StrLetter[168] = "";
$StrLetter[169] = "";
$StrLetter[170] = "";
$StrLetter[171] = "";
$StrLetter[172] = "";
$StrLetter[173] = "";
$StrLetter[174] = "";
$StrLetter[175] = "";
$StrLetter[176] = "";
$StrLetter[177] = "";
$StrLetter[178] = "";
$StrLetter[179] = "";
$StrLetter[180] = "";
$StrLetter[181] = "";
$StrLetter[182] = "";
$StrLetter[183] = "";
$StrLetter[184] = "";
$StrLetter[185] = "";
$StrLetter[186] = "";
$StrLetter[187] = "";
$StrLetter[188] = "";
$StrLetter[189] = "";
$StrLetter[190] = "";

$StrLetter[191] = "";
$StrLetter[192] = "";
$StrLetter[193] = "";
$StrLetter[194] = "";
$StrLetter[195] = "";
$StrLetter[196] = "";
$StrLetter[197] = "";
$StrLetter[198] = "";
$StrLetter[199] = "";
$StrLetter[200] = "";
$StrLetter[201] = "";
$StrLetter[202] = "";
$StrLetter[203] = "";
$StrLetter[204] = "";
$StrLetter[205] = "";
$StrLetter[206] = "";
$StrLetter[207] = "";
$StrLetter[208] = "";
$StrLetter[209] = "";
$StrLetter[210] = "";
$StrLetter[211] = "";
$StrLetter[212] = "";
$StrLetter[213] = "";
$StrLetter[214] = "";
$StrLetter[215] = "";
$StrLetter[216] = "";
$StrLetter[217] = "";
$StrLetter[218] = "";
$StrLetter[219] = "";
$StrLetter[220] = "";
$StrLetter[221] = "";
//$StrLetter[222] = ""; character alt-0255 causes a syntax error, even commented out
$StrLetter[223] = "";
}

initLetterTab();
////////////Thumper Functions
function Thumper::trigger::onEnter(%where, %who)
{
	if ((getTeam(%who)==*IDSTR_TEAM_YELLOW)&&(isHerc(%who)))
	{
		if (%who==$Player) say(0,0,*IDSTR_GEN_TMPWN);
		//I can't make the AI run away from the thumper, so I use a teleport
		else warpFrom(%who, getPosition(%where,x), getPosition(%where,y), getPosition(%where,z));
	}
}

function Thumper::trigger::onContact(%where, %who)
{
	if (isHerc(%who)) damageObject(%who,100000);
}
////////////Mission Zone Functions
function checkBoundary( %dir, %obj1, %obj2, %distance, %callback)	//we need to add a stopping element
{
   %obj1 = getObjectId( %obj1 );
   %obj2 = getObjectId( %obj2 );
   %run=false;

   %var = getGroupDistance( %obj1, %obj2 );
   
   if( (%dir == "enter") || (%dir == "Enter") )
   {
      if( %var <= %distance )
      {
         %func = %callback @ "();";
         schedule( %func, 0 );
	 %run=true;
      }
   }
   else if( (%dir == "leave") || (%dir == "Leave") )
   {
      if( %var >= %distance )
      {
         %func = %callback @ "();";
         schedule( %func, 0 );
	 %run=true;
      }
   }
   if (!%run) schedule("checkBoundary("@%dir@","@%obj1@","@%obj2@","@%distance@","@%callback@");",5);
}

function warn()
{
	schedule("checkBoundary(\"leave\", $Player, $NavAlpha, $Warndistance, \"warn\");",60);
	say(0,0,*IDSTR_GEN_TCM1, "GEN_TCM01.WAV");
}

function leave()
{
	say(0,0,*IDSTR_GEN_TCM2, "GEN_TCM02.WAV");
	forceToDebrief();
}

////////////Communications Functions
function tacticalUpdate(%mode, %arg1, %arg2)
{
	//if (isGroupDestroyed($Player)) return;
	if (isGroupDestroyed($HQ)) return;
	debugLog(%mode);
	if (%mode==kill)	//Vehicle destroyed
	{
		if ((%arg1==%arg2)||(%arg2==0))
			echo("<F4>TACTICAL UPDATE: "@getHUDName(%arg1)@" has been destroyed");
		else echo("<F4>TACTICAL UPDATE: "@getHUDName(%arg1)@" has been destroyed by "@getHUDName(%arg2));
	}
	else if (%mode==destroy)	//Structure or turret destroyed
	{
		%temp= getHUDName(%arg1);
		if ((%temp=="")||(%temp==false)) %temp= "Structure";
		if ((%arg1==%arg2)||(%arg2==0))
			echo("<F4>TACTICAL UPDATE: "@%temp@" has been destroyed");
		else echo("<F4>TACTICAL UPDATE: "@%temp@" has been destroyed by "@getHUDName(%arg2));
	}
	else if(%mode==dropPod)
	{
		%dist= getHypotenuse(getPosition($Player,x)-%arg1,getPosition($Player,y)-%arg2);
		%dist= floor(%dist+0.5);
		%dir= OVBearing(%arg1 - getPosition($Player,x), %arg2 - getPosition($Player,y));
		say(0,0,"<F4>TACTICAL UPDATE: Drop pod impact detected: "@%dir@" at "@%dist@"m");
	}
	else if (%mode==misc)
		say(0,0,"<F4>TACTICAL UPDATE: "@%arg1);
	else say(0,0,"<F4>TACTICAL UPDATE: <F5>DATA ERROR");
}

function static(%text)
{
//strAlignR(%howmany, %string)
	%temp="";
	for(%i=0; %i<strLen(%text); %i++)
	{
		%char= strAlignR(1,strAlign(%i,left,%text));
		if (randomInt(1,10)>=8)	
			%temp= %temp@%char;
		else %temp= %temp@"*";
	}
	return %temp;
	//return "*************************";
}
////////////Kamikaze Functions
function kamikaze(%vehicle)
{
	if (isGroupDestroyed(%vehicle)) return;
	%UAP=false;
	%reactRad= getBlastRadius(getComponentId(%vehicle,1));
	%reactDam= getBlastDamage(getComponentId(%vehicle,1));
	for(%i=0; %i<getComponentNum(%vehicle); %i++)
	{
		if(getComponentId(%vehicle,%i)==914)
			%UAP=true;
	}
	for(%i=0; %i<getWeaponNum(%vehicle); %i++)
	{
		%radius= getBlastRadius(getWeaponId(%vehicle,%i));
		%damage= getBlastDamage(getWeaponId(%vehicle,%i));
		%ammo= getWeaponAmmo(getWeaponId(%vehicle,%i));
		if (%UAP) %ammo= 2*%ammo;
		for(%r=0; %r<%ammo; %r++)
		{		//Ensures vehicle exists until end of function
			schedule("damageArea("@%vehicle@",0,0,0,"@%radius@","@%damage@");",0);
		}
	}
	damageArea(%vehicle, 0, 0, 0, %reactRad, %reactDam);
}

function getBlastRadius(%componentID)
{
	//It's a reactor
	if(%componentID==200) return 10;
	if(%componentID==201) return 10;
	if(%componentID==202) return 15;
	if(%componentID==203) return 15;
	if(%componentID==204) return 20;
	if(%componentID==205) return 25;
	if(%componentID==225) return 10;
	if(%componentID==226) return 10;
	if(%componentID==227) return 15;
	if(%componentID==228) return 15;
	if(%componentID==229) return 20;
	if(%componentID==230) return 20;
	//It's a weapon
	if(%componentID==1) return 12;		//Nike
	if(%componentID==20) return 12;		//Cybrid Artillery
	if(%componentID==21) return 12;		//Rebel Artillery
	if(%componentID==119) return 10;	//Blast Cannon
	if(%componentID==120) return 10;	//Heavy Blast Cannon
	if(%componentID==129) return 8;		//Minion Missile - Explosive Warhead
	if(%componentID==131) return 5;		//Arachnitron
	if(%componentID==132) return 5;		//Arachnitron
	if(%componentID==133) return 5;		//Arachnitron
	if(%componentID==134) return 15;	//Proximity Mine
	if(%componentID==135) return 15;	//Proximity Mine
	if(%componentID==136) return 15;	//Proximity Mine
}

function getBlastDamage(%componentID)
{
	//It's a reactor
	if(%componentID==200) return 345;
	if(%componentID==201) return 386.25;
	if(%componentID==202) return 498.75;
	if(%componentID==203) return 615;
	if(%componentID==204) return 547.5;
	if(%componentID==205) return 832.5;
	if(%componentID==225) return 273.75;
	if(%componentID==226) return 315;
	if(%componentID==227) return 431.25;
	if(%componentID==228) return 547.5;
	if(%componentID==229) return 476.25;
	if(%componentID==230) return 675;
	//It's a weapon
	if(%componentID==1) return 750;		//Nike
	if(%componentID==20) return 750;	//Cybrid Artillery
	if(%componentID==21) return 750;	//Rebel Artillery
	if(%componentID==119) return 300;	//Blast Cannon
	if(%componentID==120) return 400;	//Heavy Blast Cannon
	if(%componentID==129) return 450;	//Minion Missile - Explosive Warhead
	if(%componentID==131) return 250;	//Arachnitron
	if(%componentID==132) return 250;	//Arachnitron
	if(%componentID==133) return 250;	//Arachnitron
	if(%componentID==134) return 350;	//Proximity Mine
	if(%componentID==135) return 350;	//Proximity Mine
	if(%componentID==136) return 350;	//Proximity Mine
}

function getWeaponAmmo(%weapon)
{
	if(%componentID==1) return 30;		//Nike
	if(%componentID==20) return 30;	//Cybrid Artillery
	if(%componentID==21) return 30;	//Rebel Artillery
	if(%componentID==119) return 15;	//Blast Cannon
	if(%componentID==120) return 15;	//Heavy Blast Cannon
	if(%componentID==129) return 10;	//Minion Missile - Explosive Warhead
	if(%componentID==131) return 6;		//Arachnitron
	if(%componentID==132) return 10;	//Arachnitron
	if(%componentID==133) return 14;	//Arachnitron
	if(%componentID==134) return 6;		//Proximity Mine
	if(%componentID==135) return 8;		//Proximity Mine
	if(%componentID==136) return 10;	//Proximity Mine
}
////////////Player Life and Death Functions
function retaliateAgainstPlayer()
{
	order("PlayerSquad", attack, $Player);
	order("MissionGroup/Alliance", attack, $Player);
	removeSquadmateOrders();	//No "hold fire"
}

//function immortalPlayer()
//{
//	%squadmate1= getObjectId("playerSquad/squadMate1");
//	%squadmate2= getObjectId("playerSquad/squadMate2");
//	%squadmate3= getObjectId("playerSquad/squadMate3");
//	if ((%squadmate1!="")||(%squadmate1!=0)) healObject(%squadmate1, 10000);
//	if ((%squadmate2!="")||(%squadmate2!=0)) healObject(%squadmate2, 10000);
//	if ((%squadmate3!="")||(%squadmate3!=0)) healObject(%squadmate3, 10000);
//	healObject($Player, 10000);
//}
////////////Drop Pod Functions
function OVBearing(%dx,%dy)
{
	%dist = sqrt(%dx*%dx+%dy*%dy);
	%dx = %dx / %dist;
	%dy = %dy / %dist;
	if(%dy >= 0.866) %dir = "north";
	if(((%dy < 0.866) && (%dy > 0)) && ((%dx < 0.866) && (%dx > 0)))
		%dir = "northeast";
	if(%dx >= 0.866) %dir = "east";
	if(((%dy > -0.866) && (%dy < 0)) && ((%dx < 0.866) && (%dx > 0)))
		%dir = "southeast";
	if(%dy <= -0.866) %dir = "south";
	if(((%dy > -0.866) && (%dy < 0)) && ((%dx > -0.866) && (%dx < 0)))
		%dir = "southwest";
	if(%dx <= -0.866) %dir = "west";
	if(((%dy < 0.866) && (%dy > 0)) && ((%dx > -0.866) && (%dx < 0)))
		%dir = "northwest";
	%dist = floor(%dist+0.5);
	return%dir;
}

function dropAPod(%x,%y,%who)
{
	%z= getTerrainHeight(%x,%y);
	%pod = newObject("Drop Pod", StaticShape, "cDropPod.dts");
	setStaticShapeLongName( %pod, "IDACS_CDROPPOD" );	//yes, I know it's a short string, but oh well
	setPosition(%pod, 10000, -10000, 4000);
	setTeam(%pod, getTeam(%who));
	dropPod(%x,%y,%z,%pod);
	schedule("setPosition("@%who@","@%x@","@%y@","@%z@");",7.5);
}

function copyObject(%object)
{
	storeObject(%object, "copyObject.tmp");
	%copy = loadObject(getObjectName(%object), "copyObject.tmp");
	return %copy;
}
////////////Other Functions
function warpFrom(%who, %x, %y, %z)
{
	%x2=getPosition(%who,x); %y2=getPosition(%who,y); %z2=getPosition(%who,z);
	setPosition(%who,%x2+%x2-%x, %z2+%z2-%z, %z2+%z2-%z);
}

function debugLog(%string)
{
	echo(%string);
	%date= getDate();
	%nowTime= getTime();		//getCurrentTime counts seconds from start
	%output= %date @" "@%nowTime@" (moment "@getCurrentTime()@")        "@%string;
	fileWrite("SPDebugLog.txt", append, %output);
}